bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#4126: 23.1.50; Building with dbus support


From: Giles Chamberlin
Subject: bug#4126: 23.1.50; Building with dbus support
Date: Thu, 13 Aug 2009 11:09:24 +0200

Thanks - you were spot on: installing libdbus-1-dev solved the problem.
So as usual this was a user problem.

Might be nice if missing libraries could be reported more clearly as
they are for the various graphics packages: png, tiff etc, to hold the
user's hand still more.  

Thanks again

Giles


-----Original Message-----
From: Glenn Morris [mailto:address@hidden 
Sent: 11 August 2009 18:02
To: Giles Chamberlin
Cc: address@hidden
Subject: Re: bug#4126: 23.1.50; Building with dbus support

Giles Chamberlin wrote:

> Running on Ubuntu 9.04, I'm having trouble building emacs from CVS
with
> dbus support.  config.log reports: 
>
> configure:12289: checking for dbus-1 >= 1.0
> configure:12309: result: no
>
> and subsequent calls to make fail to compile dbusbind.c, causing
> invocation of dbus-call-method to fail with a void-function error.
>
> dbus-1 installed as per default ubuntu setup.

I don't know what that means, but Ubuntu users might.

At a guess, you need to also install the dbus development package(s),
which may be called "libdbus-1-dev".

Failing that, examine the config.log output to see exactly what the
problem is.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]